﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WindowAlert_CustomTheme
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }
        private static void ConfigureModal(RadAlert content, DialogParameters dialogParams)
        {
            RadWindow window = new RadWindow();

            if (dialogParams.Header != null)
            {
                window.Header = dialogParams.Header;
            }
            else
            {
                window.Header = String.Empty;
            }

            content.Content = dialogParams.Content;

            window.Content = content;
            window.Icon = dialogParams.IconContent;
            window.ResizeMode = ResizeMode.NoResize;
            window.CanMove = true;
            window.WindowStartupLocation = WindowStartupLocation.CenterScreen;

            if (dialogParams.ModalBackground != null)
            {
                window.ModalBackground = dialogParams.ModalBackground;
            }

            content.Configure(window, dialogParams);

            RoutedEventHandler openedHandler = null;
            if (dialogParams.Opened != null)
            {
                openedHandler = null;
                openedHandler = (s, e) =>
                {
                    dialogParams.Opened(s, e);
                    window.Opened -= openedHandler;
                };
                window.Opened += openedHandler;
            }

            EventHandler<WindowClosedEventArgs> helpHandler = null;
            if (dialogParams.Closed != null)
            {
                helpHandler = null;
                helpHandler = (s, args) =>
                {
                    dialogParams.Closed(s, args);
                    window.Closed -= helpHandler;
                };
                window.Closed += helpHandler;
            }

            window.ShowDialog();
        }


        private void Information(DialogParameters dialogParameters)
        {
            RadAlert alert = new RadAlert { Style = this.Resources["InfoAlertStyle"] as Style };
            ConfigureModal(alert, dialogParameters);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Information(new DialogParameters{ Content="Message" });
            RadWindow.Alert(new DialogParameters { Content = "Message" });
        }
    }
}
